<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_939c6a45ff74323dbef" . "487ed15753a7c" => base64_decode("c3" . "Rh" . "dG" . "U="), "_2e858fb1973337f" . "53ff85c104fcb38f" . "4" => base64_decode("cHVibGlzaG" . "Vk"), "_b2f5a100451164396178c16d2a" . "5c6899" => base64_decode("cHJldl9" . "0aXRsZQ" . "=="), "_6a90de6af30bf720b668cfb" . "570e606de" => base64_decode("cHJldl9zd" . "GF0ZQ=="), "ti" . "tl" . "e" => base64_decode("dGl0" . "bGU="), "_4c760fb02a49c555" . "09ba087b84fbda45" => base64_decode("ZHJhZn" . "Q="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_b2f5a100451164396178" . "c16d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["titl" . "e"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_6a90de6af30bf720b668cfb570e606d" . "e"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_939c6a45ff74323dbef4" . "87ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_939c6a45ff74323dbef487ed15753" . "a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4c760fb02a49c55509ba087b84fbda" . "45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2e858fb1973337f53f" . "f85c104fcb38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}